Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Training

Optimizer step

POST /fine_tuning/sessions/{sessionId}/optim_step

Apply accumulated gradients to the LoRA weights using the Adam optimizer. Poll the returned request identifier for the result.

Header parameters

Foundry-Features enum required

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

FineTuningSessions=V1Preview

Path parameters

sessionId string required

Identifier of the fine-tuning session whose weights will be updated.

Query parameters

api-version string required

The API version to use for this operation.

Request Body

Adam optimizer configuration for applying accumulated gradients.

Content-Type: application/json
adam_params SessionFineTuning.AdamParams required

Adam optimizer hyper-parameters.

learning_rate number

Nonnegative learning rate. If omitted, the service defaults to 0.0001.

beta1 number

Adam first-moment coefficient, from zero inclusive to one exclusive. If omitted, the service defaults to 0.9.

beta2 number

Adam second-moment coefficient, from zero inclusive to one exclusive. If omitted, the service defaults to 0.95.

eps number

Positive numerical stability floor. If omitted, the service defaults to 0.000000000001.

weight_decay number

Nonnegative L2 weight-decay coefficient. If omitted, the service defaults to 0.0.

Responses

The request has succeeded.

Body

Content-Type: application/json
request_id string required

Request identifier to pass to the session's request-status endpoint.

status enum required

Indicates that the request has not yet completed.

pending
session_id string required

Identifier of the session processing this request.

Client error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Server error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Request

POST /fine_tuning/sessions/{sessionId}/optim_step HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026